/* disc.h
 * Giram - A GPLed Modelling Program.
 * Copyright (C) 1999-2000 DindinX <David.Odin@bigfoot.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GIRAM_DISC_H__
#define __GIRAM_DISC_H__
/* Global options for the disc tool */
extern int DiscWithHoleFlag;

ObjectStruct *giram_disc_new(Vector center, Vector Norm, double Radius, double HoleRadius);
void ToolInitNewDisc(GtkWidget *DrawingArea, GdkEventButton *bevent);
void ToolMotionNewDisc(GtkWidget *DrawingArea, GdkEvent *event);
void ToolReleaseNewDisc(GtkWidget *DrawingArea, GdkEvent *event);
GtkWidget *BuildDiscOptions(GtkWidget *VBox);
int PDBCreateDisc(int *Id, Vector *Center, Vector *Normal,
                  double *Radius, double *HoleRadius);
#endif /* __GIRAM_DISC_H__ */
