/* sphere.h
 * Giram - A GPLed Modelling Program.
 * Copyright (C) 1999-2000 DindinX <David.Odin@bigfoot.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GIRAM_SPHERE_H__
#define __GIRAM_SPHERE_H__
ObjectStruct *giram_sphere_new(Vector center, double radius);
void ToolInitNewSphere(GtkWidget *DrawingArea, GdkEventButton *bevent);
void ToolMotionNewSphere(GtkWidget *DrawingArea, GdkEvent *event);
void ToolReleaseNewSphere(GtkWidget *DrawingArea, GdkEvent *event);
int PDBCreateSphere(int *Id, Vector *Center, double *Radius);
#endif /* __GIRAM_SPHERE_H__ */
