/*******************************************************************
 * icon_pixmap.h 	- Icons used by the Giram GPL modeller.
 *			Icons file initially created by David Odin
 *			Added to by Vik Olliver mid-1999 onwards.
 *
 * Conventions:
 *	All icons used in toolbars are 24x24.
 *	Icons used for 3D operations are in red 3D
 *	Icons for 2D operations are in red 2D
 *	Fractal operations are purple/blue in colour
 *	Mesh operations are in black only
 *	Transform tools are in black/grey/white
 *	Lightsource icons are in black,white and yellow.
 *
 * Giram source may be downloaded from http://www.giram.org/
 *******************************************************************/

/* XPM */
static char * sphere_icon[] = {
"24 24 89 1",
" 	c None",
".	c #C74141",
"+	c #BB2121",
"@	c #B30909",
"#	c #B20000",
"$	c #B70909",
"%	c #C12222",
"&	c #CE4444",
"*	c #C03A3A",
"=	c #A50000",
"-	c #AE0000",
";	c #B50000",
">	c #BA0000",
",	c #BE0000",
"'	c #BF0000",
")	c #CB3D3D",
"!	c #AD1F1F",
"~	c #A30000",
"{	c #B70000",
"]	c #C60000",
"^	c #CA0000",
"/	c #CB0000",
"(	c #BE2121",
"_	c #A81E1E",
":	c #9E0000",
"<	c #AA0000",
"[	c #C90000",
"}	c #D10000",
"|	c #D60000",
"1	c #D80000",
"2	c #B43636",
"3	c #960000",
"4	c #A20000",
"5	c #DB0000",
"6	c #E20000",
"7	c #E50000",
"8	c #C43B3B",
"9	c #8C0000",
"0	c #980000",
"a	c #ED0000",
"b	c #F10000",
"c	c #B23A3A",
"d	c #8D0000",
"e	c #990000",
"f	c #A60000",
"g	c #FF0000",
"h	c #C13F3F",
"i	c #991B1B",
"j	c #860707",
"k	c #8A0000",
"l	c #9D0808",
"m	c #7B0000",
"n	c #870000",
"o	c #920000",
"p	c #7F0606",
"q	c #820000",
"r	c #8E0000",
"s	c #950707",
"t	c #8E1919",
"u	c #7D0000",
"v	c #9C0000",
"w	c #9F1C1C",
"x	c #A63636",
"y	c #760000",
"z	c #800000",
"A	c #930000",
"B	c #6F0000",
"C	c #780000",
"D	c #810000",
"E	c #9E2F2F",
"F	c #A93232",
"G	c #851717",
"H	c #911919",
"I	c #831717",
"J	c #6B0000",
"K	c #710000",
"L	c #770000",
"M	c #7E0000",
"N	c #7F0000",
"O	c #9A2E2E",
"P	c #660000",
"Q	c #730000",
"R	c #A03030",
"S	c #9E3434",
"T	c #811717",
"U	c #6E0505",
"V	c #670000",
"W	c #700505",
"X	c #A23535",
"                        ",
"                        ",
"                        ",
"         .+@#$%&        ",
"       *=-;>,',>;)      ",
"      !~-{']^/^]'{(     ",
"     _:<;'[}|1|}[';+    ",
"    234->]}56765}]>-8   ",
"    90=#,^|6aba6|^,#=   ",
"   cdef#'/17bgb71/'#fh  ",
"   i90=#,^|6aba6|^,#=!  ",
"   jk34->]}56765}]>-4l  ",
"   mno:<;'[}|1|}[';<:o  ",
"   pqr0~-{']^/^]'{-~0s  ",
"   tunov=-;>,',>;-=vow  ",
"   xyzkAv~<-###-<~vAkc  ",
"    BCDko0:4=f=4:0okD   ",
"    EBCznro30e03ornzF   ",
"     GByuqnk9d9knquH    ",
"      IJKLmMNzNMmLt     ",
"       OPJBKQQQKBR      ",
"         STUVWGX        ",
"                        ",
"                        "};

/* XPM */
static char * plane_icon[] = {
"24 24 75 1",
" 	c None",
".	c #BD0000",
"+	c #C70000",
"@	c #D10000",
"#	c #DB0000",
"$	c #E50000",
"%	c #EF0000",
"&	c #F90000",
"*	c #FE0707",
"=	c #FE1111",
"-	c #FE1B1B",
";	c #FE2525",
">	c #FE3131",
",	c #FE3939",
"'	c #BF0000",
")	c #E70000",
"!	c #F10000",
"~	c #FB0000",
"{	c #FE3B3B",
"]	c #FD4242",
"^	c #C90000",
"/	c #D30000",
"(	c #DD0000",
"_	c #FE1313",
":	c #FE1D1D",
"<	c #FE2727",
"[	c #FE4545",
"}	c #F30000",
"|	c #FD0000",
"1	c #FE0909",
"2	c #FE3D3D",
"3	c #FE4747",
"4	c #FC4F4F",
"5	c #D50000",
"6	c #DF0000",
"7	c #FE1F1F",
"8	c #FE2929",
"9	c #FD5252",
"0	c #E90000",
"a	c #FE0101",
"b	c #FE0B0B",
"c	c #FE3333",
"d	c #FE4949",
"e	c #FD5454",
"f	c #FC5B5B",
"g	c #E10000",
"h	c #FE1515",
"i	c #FE2B2B",
"j	c #FE5D5D",
"k	c #EB0000",
"l	c #F50000",
"m	c #FE3535",
"n	c #FE3F3F",
"o	c #FE5656",
"p	c #FB6868",
"q	c #FE0D0D",
"r	c #FE1717",
"s	c #FE2121",
"t	c #FE5F5F",
"u	c #FD6A6A",
"v	c #ED0000",
"w	c #F70000",
"x	c #FE0303",
"y	c #FE3737",
"z	c #FE4141",
"A	c #FE4B4B",
"B	c #F97676",
"C	c #FE1919",
"D	c #FE2323",
"E	c #FE2D2D",
"F	c #FE6161",
"G	c #FD6C6C",
"H	c #FC7777",
"I	c #FD6868",
"J	c #FD7474",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"        .+@#$%&*=-;>,   ",
"       '+@#)!~*=-;>{]   ",
"       ^/()!~*_:<>{[    ",
"      ^/()}|1_:<>234    ",
"      56)}|1_78>239     ",
"     560}ab_78c2def     ",
"     g0}abh7ic2dej      ",
"    gklabh7imndojp      ",
"    klaqrsimndotu       ",
"   vwxqrsiyzAotuB       ",
"   wxqCDEyzAoFGH        ",
"  laqh7imndojIJ         ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};
/* XPM */
static char * cylinder_icon[] = {
"24 24 9 1",
" 	c None",
".	c #C10000",
"+	c #DF0000",
"@	c #FD0000",
"#	c #FF0000",
"$	c #A30000",
"%	c #850000",
"&	c #660000",
"*	c #480000",
"                        ",
"                        ",
"                        ",
"       .+@#@+.$%        ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"     %$.+@#@+.$%&*      ",
"       .+@#@+.$%        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * move_icon[] = {
"24 24 3 1",
" 	c None",
".	c #000000",
"+	c #949194",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"            .           ",
"           ...          ",
"          .....         ",
"            .+++        ",
"            .+          ",
"       .    .+   .      ",
"      ..    .+   ..     ",
"     ...............    ",
"      ..++++.++++..++   ",
"       .+   .+   .++    ",
"        +   .+    +     ",
"            .+          ",
"          .....         ",
"           ...+         ",
"            .+          ",
"            +           ",
"                        ",
"                        ",
"                        "};
/* XPM */
static char * selection_icon[] = {
"24 24 3 1",
" 	c None",
".	c #FFFFFF",
"+	c #000000",
"                        ",
"                        ",
"                        ",
"                        ",
"   .++                  ",
"   .++++                ",
"    .+++++              ",
"    .+++++++            ",
"     .++++++++          ",
"     .++++++++++        ",
"      .+++++            ",
"      .+++++            ",
"       .++ .+           ",
"       .++  .+          ",
"        .+   .+         ",
"        .+    .+        ",
"               .+       ",
"                .+      ",
"                 .+     ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * rotate_icon[] = {
"24 24 7 1",
" 	c None",
".	c #0E0E0E",
"+	c #000000",
"@	c #7A7A7A",
"#	c #929292",
"$	c #737373",
"%	c #797979",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"      .+....            ",
"       @+...# +         ",
"        .+..# @..       ",
"      $..%+.#  #..      ",
"      ..  %+#    .      ",
"     .@#   .#    @.     ",
"     .#     #     .#    ",
"     +#           +#    ",
"     +            +#    ",
"     .            .#    ",
"     .@          $.#    ",
"      .#         .#     ",
"      ..        ..#     ",
"       ..@    $..#      ",
"         ..++..##       ",
"          ######        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * lathe_icon[] = {
"24 24 7 1",
" 	c None",
".	c #000000",
"+	c #DB0F0A",
"@	c #D81D1D",
"#	c #FFFFFF",
"$	c #D82F2F",
"%	c #F28787",
"                     ...",
"   +......@          .#.",
" +.$%$%$%$%.@        ...",
".%$%$%$%$%$%@.      .   ",
"...$%$%$%$%...     .    ",
".$%...........    .     ",
" .$%#$@$@.$..    .      ",
" .@#%%$@.$...   .       ",
"  .$#$@$@...   .        ",
"  .@$#@$....  .         ",
"   .##$@...  .          ",
"   .#$@$@.. .           ",
"  .$@#$@$... .          ",
"  .@#%$@....  .         ",
" .$@#$@$@....  .        ",
" .$##%$@.$...   .       ",
".$@##$@$@.....   .      ",
".@##%%$@.$....    .     ",
".$###$@$@.$...     .    ",
" @.#%%$@.$..$       ... ",
"   @......$         .#. ",
"                    ... ",
"                        ",
"                        "};

/* XPM */
static char * sor_icon[] = {
"24 24 7 1",
" 	c None",
".	c #000000",
"+	c #DB0F0A",
"@	c #D81D1D",
"#	c #FFFFFF",
"$	c #D82F2F",
"%	c #F28787",
"              ...       ",
"   +......@   .#.       ",
" +.$%$%$%$%.@ .....     ",
".%$%$%$%$%$%@.     ...  ",
"...$%$%$%$%...     .#.  ",
".$%...........     ...  ",
" .$%#$@$@.$..     .     ",
" .@#%%$@.$...    .      ",
"  .$#$@$@...    .       ",
"  .@$#@$....  ...       ",
"   .##$@...   .#.       ",
"   .#$@$@..   ...       ",
"  .$@#$@$...    .       ",
"  .@#%$@....     .      ",
" .$@#$@$@....    .      ",
" .$##%$@.$...     .     ",
".$@##$@$@.....    .     ",
".@##%%$@.$....     .    ",
".$###$@$@.$...     ...  ",
" @.#%%$@.$..$ ...  .#.  ",
"   @......$   .#......  ",
"              ...       ",
"                        ",
"                        "};


/* XPM */
static char * scale_icon[] = {
"24 24 10 1",
" 	c None",
".	c #0E0E0E",
"+	c #F9F9F9",
"@	c #BDBDBD",
"#	c #FFFFFF",
"$	c #BCBCBC",
"%	c #929292",
"&	c #272727",
"*	c #848484",
"=	c #7B7B7B",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"      ............      ",
"      .+@#$#$#$#$.%     ",
"      .@#@#@#@#@#.%     ",
"      .#@#@#@#@#@.%     ",
"      .$#@#@#@#@#.%     ",
"      .#@#@#@#@#@.%     ",
"      &&&&&&&@#@#.%     ",
"      &*=*=*&#@#@.%     ",
"      &=*=*=&@#@#.%     ",
"      &*=*=*&#@#@.%     ",
"      &=*=*=&@#@#.%     ",
"      &*=*=*&#@#@.%     ",
"      &&&&&&&.....%     ",
"       %%%%%%%%%%%%     ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * box_icon[] = {
"24 24 6 1",
" 	c None",
".	c #000000",
"+	c #D82F2F",
"@	c #F28787",
"#	c #7F0000",
"$	c #D81D1D",
"                        ",
"                        ",
"        ...........     ",
"       .+@+@+@+@+#.     ",
"      .+@+@+@+@+#$.     ",
"     .+@+@+@+@$#$$.     ",
"    .+#+#######$$$.     ",
"    .$+++++$++#$$$.     ",
"    .$+++++++$#$$$.     ",
"    .+++@++$++#$$$.     ",
"    .$+++@+$+$#$$$.     ",
"    .+@+++++++#$$$.     ",
"    .$+@@++$+$#$$$.     ",
"    .+@+@@++$+#$$$.     ",
"    .$+++@++$$#$$$.     ",
"    .+++@++$++#$$$.     ",
"    .$++++++$$#$$$.     ",
"    .+++++++++#$$$.     ",
"    .+++++++$+#$$.      ",
"    .$+++++$++#$.       ",
"    .+++++++$$#.        ",
"    ...........         ",
"                        ",
"                        "};

/* XPM */
static char * disc_icon[] = {
"24 24 36 1",
" 	c None",
".	c #D8220B",
"+	c #EB141B",
"@	c #E6290B",
"#	c #DB230B",
"$	c #DC1219",
"%	c #C41015",
"&	c #D31117",
"*	c #E11319",
"=	c #EE141B",
"-	c #DE250B",
";	c #D9230B",
">	c #B40E13",
",	c #A40B10",
"'	c #BA0F14",
")	c #C81016",
"!	c #D51218",
"~	c #EB2B0B",
"{	c #E7290B",
"]	c #AC0D12",
"^	c #B00E12",
"/	c #BD0F14",
"(	c #E21319",
"_	c #E7141A",
":	c #E8141A",
"<	c #A20C11",
"[	c #7F0000",
"}	c #A40C11",
"|	c #CC1116",
"1	c #D21117",
"2	c #D71218",
"3	c #970B0F",
"4	c #666666",
"5	c #BC0F14",
"6	c #C10F15",
"7	c #C51015",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"        .......         ",
"      +@#.....#@+$      ",
"    %&*=@-;.;-@=*&%>    ",
"   ,')!*+~{@{~+*!)'],   ",
"   ,^/)&$(_:_($&)/^<,   ",
"   [}^'%|1!2!1|%'^}3[4  ",
"    [,]>56%7%65>]<,[4   ",
"     [[,,,,,,,,,,[[4    ",
"       [[[[[[[[[[44     ",
"        444444444       ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * text_icon[] = {
"24 24 11 1",
" 	c None",
".	c #D81D1D",
"+	c #AC2929",
"@	c #823636",
"#	c #D61D1D",
"$	c #4C4848",
"%	c #BB2525",
"&	c #992F2F",
"*	c #C82121",
"=	c #D01F1F",
"-	c #683E3E",
"                        ",
"                        ",
"                        ",
"           ..           ",
"           ...          ",
"          ....          ",
"          ....+         ",
"         ..@..#         ",
"         ..$...         ",
"         ..  ..%        ",
"        ..$  ..#        ",
"        ..&  ...        ",
"        ........*       ",
"       ..$$$$$#..       ",
"       ..$    ...+      ",
"       .@      ..=      ",
"      ..$      ...      ",
"     ....     ......    ",
"      &&&-     &&&&@    ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * blob_icon[] = {
"24 24 127 2",
"  	c None",
". 	c #BC0F14",
"+ 	c #BE0F14",
"@ 	c #B70D13",
"# 	c #AF0D12",
"$ 	c #AC0D11",
"% 	c #AA0D11",
"& 	c #AE0D12",
"* 	c #C00F14",
"= 	c #D01016",
"- 	c #D31117",
"; 	c #D51218",
"> 	c #A70D11",
", 	c #A80D11",
"' 	c #B10D12",
") 	c #C20F14",
"! 	c #CF1016",
"~ 	c #D61217",
"{ 	c #D91515",
"] 	c #B20D12",
"^ 	c #C61015",
"/ 	c #D41117",
"( 	c #DD1117",
"_ 	c #E51219",
": 	c #E61A14",
"< 	c #E6250D",
"[ 	c #E8290B",
"} 	c #C91015",
"| 	c #D91218",
"1 	c #E4131A",
"2 	c #EE141B",
"3 	c #E92A0B",
"4 	c #E6280B",
"5 	c #E12D0F",
"6 	c #A90D11",
"7 	c #BF0F14",
"8 	c #D51117",
"9 	c #ED2C0B",
"0 	c #E4280B",
"a 	c #DD240B",
"b 	c #D9220B",
"c 	c #DF250B",
"d 	c #E0260B",
"e 	c #745F5C",
"f 	c #B50E13",
"g 	c #CD1016",
"h 	c #DF1319",
"i 	c #D9230B",
"j 	c #D01E0B",
"k 	c #CA1B0B",
"l 	c #C91A0B",
"m 	c #CB1B0B",
"n 	c #676565",
"o 	c #C30F14",
"p 	c #C6190B",
"q 	c #BD150B",
"r 	c #B9120B",
"s 	c #B9130B",
"t 	c #715757",
"u 	c #CC1016",
"v 	c #D61218",
"w 	c #E41319",
"x 	c #E4270B",
"y 	c #D8220B",
"z 	c #B2100B",
"A 	c #AB0D0B",
"B 	c #AC0E0E",
"C 	c #962F2E",
"D 	c #E8280B",
"E 	c #D11117",
"F 	c #D51217",
"G 	c #DE1517",
"H 	c #E4260B",
"I 	c #DE240B",
"J 	c #CC1B0B",
"K 	c #BA130B",
"L 	c #AC0D0B",
"M 	c #9E060C",
"N 	c #AA0D0C",
"O 	c #C2180C",
"P 	c #E3270B",
"Q 	c #E3230E",
"R 	c #D81416",
"S 	c #D61317",
"T 	c #E3210F",
"U 	c #E7280B",
"V 	c #DA230B",
"W 	c #BF150B",
"X 	c #B8130B",
"Y 	c #B7120B",
"Z 	c #C0160B",
"` 	c #DB230B",
" .	c #E1210F",
"..	c #C73922",
"+.	c #DD2F12",
"@.	c #A5493A",
"#.	c #6E625F",
"$.	c #D8210B",
"%.	c #D7210B",
"&.	c #D11E0B",
"*.	c #DF1219",
"=.	c #E1260B",
"-.	c #C10F14",
";.	c #E31219",
">.	c #CF1117",
",.	c #91292C",
"'.	c #ED141A",
").	c #B50E12",
"!.	c #804143",
"~.	c #E8250D",
"{.	c #E71E12",
"].	c #DD1615",
"^.	c #C31014",
"/.	c #B20E12",
"(.	c #6D5B5B",
"_.	c #E6270B",
":.	c #CC190F",
"<.	c #7D4546",
"[.	c #676464",
"}.	c #E7280C",
"|.	c #D11811",
"1.	c #B40E12",
"2.	c #7C4648",
"3.	c #686262",
"4.	c #903E41",
"5.	c #6E5C5D",
"6.	c #666565",
"                                                ",
"                                                ",
"            . + @                               ",
"        # $ % & * = - - ;                       ",
"        > > , ' ) ! ; ~ {                       ",
"      > > > ] ^ / ( _ : < [                     ",
"      > > # } | 1 2 3 4 [ 5                     ",
"      > 6 7 8 1 9 0 a b c d e                   ",
"      6 f g h 2 0 i j k l m n                   ",
"      ] o / _ [ a j p q r s t                   ",
"        u v w x y k q z A B C c 3 D             ",
"        E F G H I J K L M N O P [ Q R ;         ",
"          S T U [ V W X l Y Z ` x  .v ;         ",
"              ..+.@.#.$.[ %.p &.a U *.- *       ",
"                      3 3 =.&.i 0 2 ( -.%       ",
"                      3 3 =.a 0 9 ;.>.& > ,.    ",
"                      3 3 3 3 '.1 8 )., > !.    ",
"                        3 ~.{.].^./.> > > (.    ",
"                        3 3 _.:.6 > > > <.[.    ",
"                          3 }.|.1.$ , 2.3.      ",
"                                } 4.5.6.        ",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * bicubic_icon[] = {
"24 24 2 1",
" 	c None",
".	c #000000",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"            .           ",
"           . ...        ",
"          .    ..       ",
"     ..  .     . ..     ",
"    .  ...  .  .   ...  ",
"   .      .. ..     .   ",
"  .     .. .       .    ",
" ..  . .    ....  .     ",
"   .. .     .   ..      ",
"       .   .            ",
"       .  .             ",
"        . .             ",
"         .              ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * cone_icon[] = {
"24 24 139 2",
"  	c None",
". 	c #D94545",
"+ 	c #A62020",
"@ 	c #FE6060",
"# 	c #CF2B2B",
"$ 	c #FF6E6E",
"% 	c #E43434",
"& 	c #E82525",
"* 	c #FF7474",
"= 	c #EF3C3C",
"- 	c #6B0303",
"; 	c #FE3D3D",
"> 	c #FF7676",
", 	c #F74141",
"' 	c #8E0808",
") 	c #FF4F4F",
"! 	c #FF7575",
"~ 	c #FB4545",
"{ 	c #A60D0D",
"] 	c #310000",
"^ 	c #F01616",
"/ 	c #FF5B5B",
"( 	c #FF7373",
"_ 	c #FD4747",
": 	c #B81313",
"< 	c #550000",
"[ 	c #FE2626",
"} 	c #FF6262",
"| 	c #FF7070",
"1 	c #FE4848",
"2 	c #C71717",
"3 	c #700202",
"4 	c #FF3333",
"5 	c #FF6666",
"6 	c #FF6C6C",
"7 	c #D21C1C",
"8 	c #840404",
"9 	c #2E0000",
"0 	c #F40F0F",
"a 	c #FF3E3E",
"b 	c #FF6767",
"c 	c #FF6969",
"d 	c #FF4848",
"e 	c #DA1F1F",
"f 	c #930606",
"g 	c #4A0000",
"h 	c #FE1919",
"i 	c #FF4646",
"j 	c #FF6464",
"k 	c #E12121",
"l 	c #A00909",
"m 	c #600000",
"n 	c #BF0404",
"o 	c #FF2222",
"p 	c #FF4B4B",
"q 	c #FF6060",
"r 	c #FF4545",
"s 	c #E62323",
"t 	c #AA0B0B",
"u 	c #710101",
"v 	c #2C0000",
"w 	c #F50A0A",
"x 	c #FF2A2A",
"y 	c #FF4E4E",
"z 	c #FF6161",
"A 	c #FF4343",
"B 	c #EA2424",
"C 	c #B30D0D",
"D 	c #7E0202",
"E 	c #430000",
"F 	c #FD1111",
"G 	c #FF3030",
"H 	c #FF5D5D",
"I 	c #FF5757",
"J 	c #FF4040",
"K 	c #ED2525",
"L 	c #BA0F0F",
"M 	c #890303",
"N 	c #560000",
"O 	c #CC0303",
"P 	c #FF1717",
"Q 	c #FF3535",
"R 	c #FF5959",
"S 	c #FF5252",
"T 	c #EE2525",
"U 	c #BF1010",
"V 	c #920404",
"W 	c #640000",
"X 	c #2B0000",
"Y 	c #F40707",
"Z 	c #FF1D1D",
"` 	c #FF3737",
" .	c #FF4D4D",
"..	c #FF5454",
"+.	c #FF3B3B",
"@.	c #F02424",
"#.	c #C41111",
"$.	c #9A0505",
"%.	c #700000",
"&.	c #3E0000",
"*.	c #FC0B0B",
"=.	c #FF2121",
"-.	c #FF3939",
";.	c #FF4A4A",
">.	c #FF5050",
",.	c #FF3838",
"'.	c #F12424",
").	c #C81212",
"!.	c #A10606",
"~.	c #7A0101",
"{.	c #4E0000",
"].	c #FE1010",
"^.	c #FF2424",
"/.	c #FF4747",
"(.	c #FF4444",
"_.	c #F12323",
":.	c #CC1212",
"<.	c #A70707",
"[.	c #820101",
"}.	c #5B0000",
"|.	c #CE1111",
"1.	c #FF2727",
"2.	c #FF3F3F",
"3.	c #FF3232",
"4.	c #F12121",
"5.	c #CE1313",
"6.	c #AC0808",
"7.	c #8A0202",
"8.	c #BF1F1F",
"9.	c #FF4141",
"0.	c #FF4242",
"a.	c #FF2F2F",
"b.	c #F12020",
"c.	c #D01313",
"d.	c #B00808",
"e.	c #760202",
"f.	c #E53737",
"g.	c #FF2C2C",
"h.	c #DD1C1C",
"                                                ",
"                                                ",
"                      . +                       ",
"                      @ #                       ",
"                      $ %                       ",
"                    & * = -                     ",
"                    ; > , '                     ",
"                    ) ! ~ { ]                   ",
"                  ^ / ( _ : <                   ",
"                  [ } | 1 2 3                   ",
"                  4 5 6 1 7 8 9                 ",
"                0 a b c d e f g                 ",
"                h i 5 j i k l m                 ",
"              n o p j q r s t u v               ",
"              w x y z / A B C D E               ",
"              F G ) H I J K L M N               ",
"            O P Q y R S a T U V W X             ",
"            Y Z `  ... .+.@.#.$.%.&.            ",
"            *.=.-.;.>.d ,.'.).!.~.{.            ",
"            ].^.-./.p (.Q _.:.<.[.}.            ",
"            |.1.-.(.i 2.3.4.5.6.7.}.            ",
"              8.,.9.0.+.a.b.c.d.e.              ",
"                    f.` g.h.                    ",
"                                                "};

/* XPM */
static char * torus_icon[] = {
"24 24 252 2",
"  	c None",
". 	c #FF3939",
"+ 	c #FF4545",
"@ 	c #FF4949",
"# 	c #FF4444",
"$ 	c #FD2929",
"% 	c #F11616",
"& 	c #E24242",
"* 	c #FF4C4C",
"= 	c #FF6A6A",
"- 	c #FF7373",
"; 	c #FF7070",
"> 	c #FF6969",
", 	c #FF6161",
"' 	c #FF5959",
") 	c #FF4F4F",
"! 	c #FF4040",
"~ 	c #FB2B2B",
"{ 	c #E01313",
"] 	c #CB4040",
"^ 	c #FF6666",
"/ 	c #FF7A7A",
"( 	c #FE6161",
"_ 	c #F85151",
": 	c #EF4646",
"< 	c #EC4242",
"[ 	c #EF4242",
"} 	c #F74545",
"| 	c #FD4747",
"1 	c #FF4141",
"2 	c #FB3131",
"3 	c #DE1818",
"4 	c #B71616",
"5 	c #FF6868",
"6 	c #FF7777",
"7 	c #FE6262",
"8 	c #EA4545",
"9 	c #C22D2D",
"0 	c #A21E1E",
"a 	c #911717",
"b 	c #901515",
"c 	c #9C1919",
"d 	c #B32121",
"e 	c #D12D2D",
"f 	c #EC3838",
"g 	c #FB3B3B",
"h 	c #F22E2E",
"i 	c #D21616",
"j 	c #A71515",
"k 	c #FF5C5C",
"l 	c #FA5656",
"m 	c #CC3232",
"n 	c #8D1717",
"o 	c #5E0909",
"p 	c #400303",
"q 	c #340101",
"r 	c #350101",
"s 	c #450202",
"t 	c #640606",
"u 	c #8B0F0F",
"v 	c #B81F1F",
"w 	c #DF3030",
"x 	c #F23535",
"y 	c #E52727",
"z 	c #BE0E0E",
"A 	c #A03636",
"B 	c #FF3E3E",
"C 	c #FF6767",
"D 	c #FB5555",
"E 	c #C32D2D",
"F 	c #750F0F",
"G 	c #390303",
"H 	c #1D0000",
"I 	c #190000",
"J 	c #14002B",
"K 	c #140030",
"L 	c #220002",
"M 	c #4B0101",
"N 	c #830A0A",
"O 	c #B91C1C",
"P 	c #E22F2F",
"Q 	c #ED3030",
"R 	c #D21C1C",
"S 	c #9E0505",
"T 	c #FF5252",
"U 	c #FE5959",
"V 	c #D63535",
"W 	c #7D1212",
"X 	c #330202",
"Y 	c #540101",
"Z 	c #970C0C",
"` 	c #CE2323",
" .	c #ED3131",
"..	c #E12626",
"+.	c #B20D0D",
"@.	c #8C3131",
"#.	c #FE2A2A",
"$.	c #FF5353",
"%.	c #F34545",
"&.	c #490505",
"*.	c #1A0000",
"=.	c #7E0404",
"-.	c #BF1818",
";.	c #EB2F2F",
">.	c #EB2D2D",
",.	c #C11414",
"'.	c #7E0202",
").	c #FF2D2D",
"!.	c #DB3535",
"~.	c #7F1111",
"{.	c #2C0101",
"].	c #17000F",
"^.	c #63001F",
"/.	c #BA1111",
"(.	c #ED2D2D",
"_.	c #F53232",
":.	c #CC1A1A",
"<.	c #8A0404",
"[.	c #FF2E2E",
"}.	c #FD4444",
"|.	c #C72B2B",
"1.	c #6D0B0B",
"2.	c #220000",
"3.	c #C00E0E",
"4.	c #F62D2D",
"5.	c #FC3636",
"6.	c #D41E1E",
"7.	c #8F0505",
"8.	c #FD2828",
"9.	c #FB3D3D",
"0.	c #C12727",
"a.	c #6C0A0A",
"b.	c #230000",
"c.	c #D31010",
"d.	c #FD3333",
"e.	c #FE3A3A",
"f.	c #D81F1F",
"g.	c #8E0505",
"h.	c #F72020",
"i.	c #FA3838",
"j.	c #C72828",
"k.	c #7A0D0D",
"l.	c #2F0000",
"m.	c #ED1919",
"n.	c #FE3D3D",
"o.	c #D51D1D",
"p.	c #840404",
"q.	c #E61515",
"r.	c #F73131",
"s.	c #D52C2C",
"t.	c #941414",
"u.	c #500303",
"v.	c #19002B",
"w.	c #FD2D2D",
"x.	c #FF4B4B",
"y.	c #FD3C3C",
"z.	c #C81717",
"A.	c #710202",
"B.	c #D11B1B",
"C.	c #ED2626",
"D.	c #E33030",
"E.	c #B71F1F",
"F.	c #7E0A0A",
"G.	c #470101",
"H.	c #F61A1A",
"I.	c #FF4A4A",
"J.	c #FF5454",
"K.	c #F73333",
"L.	c #B00E0E",
"M.	c #550505",
"N.	c #D91717",
"O.	c #E92D2D",
"P.	c #D82C2C",
"Q.	c #B21B1B",
"R.	c #880909",
"S.	c #5E0109",
"T.	c #E71625",
"U.	c #FF4848",
"V.	c #FF6363",
"W.	c #FF4E4E",
"X.	c #E22222",
"Y.	c #8C0505",
"Z.	c #BB0F0F",
"`.	c #DC1F1F",
" +	c #E82F2F",
".+	c #DE2D2D",
"++	c #C72020",
"@+	c #B01111",
"#+	c #9C0606",
"$+	c #73023C",
"%+	c #FA2525",
"&+	c #FF6E6E",
"*+	c #FF6060",
"=+	c #F83535",
"-+	c #B40F0F",
";+	c #590303",
">+	c #BB0B0B",
",+	c #DC2121",
"'+	c #EF3131",
")+	c #F43535",
"!+	c #F13131",
"~+	c #ED2929",
"{+	c #EC2222",
"]+	c #EF1F1F",
"^+	c #F72323",
"/+	c #FD3131",
"(+	c #FF7878",
"_+	c #FC3F3F",
":+	c #CA1717",
"<+	c #760202",
"[+	c #B40B0B",
"}+	c #D71E1E",
"|+	c #F33131",
"1+	c #FE3E3E",
"2+	c #FF4747",
"3+	c #FF4D4D",
"4+	c #FF5F5F",
"5+	c #FF6C6C",
"6+	c #FF7676",
"7+	c #FF7474",
"8+	c #FF5E5E",
"9+	c #F93A3A",
"0+	c #CB1717",
"a+	c #7F0404",
"b+	c #643D3D",
"c+	c #A10606",
"d+	c #C51414",
"e+	c #E52626",
"f+	c #F93636",
"g+	c #FE4545",
"h+	c #FF5151",
"i+	c #FF5858",
"j+	c #FF5A5A",
"k+	c #FB3F3F",
"l+	c #E62525",
"m+	c #B40E0E",
"n+	c #891818",
"o+	c #9E0707",
"p+	c #B91010",
"q+	c #CF1919",
"r+	c #DD2020",
"s+	c #DD1F1F",
"t+	c #CD1717",
"u+	c #AE0D0D",
"v+	c #830404",
"w+	c #580F0F",
"x+	c #6F0909",
"y+	c #780202",
"z+	c #6E0202",
"A+	c #5C0606",
"B+	c #6F3A3A",
"C+	c #3333FF",
"                                                ",
"                . + @ # . $ % &                 ",
"            * = - ; > , ' ) ! ~ { ]             ",
"        @ ^ / - ( _ : < [ } | 1 2 3 4           ",
"      @ 5 6 7 8 9 0 a b c d e f g h i j         ",
"      k ; l m n o p q r s t u v w x y z A       ",
"    B C D E F G H I J   K L M N O P Q R S       ",
"    T U V W X I               Y Z `  ...+.@.    ",
"  #.$.%.0 &.*.                  =.-.;.>.,.'.    ",
"  ).* !.~.{.].                  ^./.(._.:.<.    ",
"  [.}.|.1.2.                      3.4.5.6.7.    ",
"  8.9.0.a.b.                      c.d.e.f.g.    ",
"  h.i.j.k.l.                      m.B n.o.p.    ",
"  q.r.s.t.u.v.                    w.x.y.z.A.    ",
"  B.C.D.E.F.G.                  H.I.J.K.L.M.    ",
"    N.O.P.Q.R.S.              T.U.V.W.X.Y.      ",
"    Z.`. +.+++@+#+$+        %+T &+*+=+-+;+      ",
"      >+,+'+)+!+~+{+]+^+/+* = (+5 _+:+<+        ",
"        [+}+|+1+2+3+J.4+5+6+7+8+9+0+a+b+        ",
"          c+d+e+f+g+h+i+j+T k+l+m+A.            ",
"            n+o+p+q+r+X.s+t+u+v+w+              ",
"                  x+<+y+z+A+B+                  ",
"                                                ",
"                                                "};

/* XPM */
static char * ellipsoid_icon[] = {
"24 24 238 2",
"  	c None",
". 	c #DD0F30",
"+ 	c #FF2323",
"@ 	c #FF3131",
"# 	c #FE2828",
"$ 	c #F31D1D",
"% 	c #DD1414",
"& 	c #CD0E0E",
"* 	c #C20909",
"= 	c #BB0606",
"- 	c #B90404",
"; 	c #B90303",
"> 	c #B1010C",
", 	c #8A003B",
"' 	c #E9071D",
") 	c #FF1919",
"! 	c #FF3F3F",
"~ 	c #FF6060",
"{ 	c #FF6464",
"] 	c #FF5151",
"^ 	c #FB3838",
"/ 	c #DE2525",
"( 	c #C31818",
"_ 	c #B11010",
": 	c #A50B0B",
"< 	c #9E0808",
"[ 	c #9B0606",
"} 	c #9A0505",
"| 	c #9B0404",
"1 	c #9B0303",
"2 	c #990101",
"3 	c #8C0008",
"4 	c #FE0505",
"5 	c #FF0F0F",
"6 	c #FF2F2F",
"7 	c #FF7B7B",
"8 	c #FF6D6D",
"9 	c #FE4E4E",
"0 	c #E43232",
"a 	c #BF1F1F",
"b 	c #A71313",
"c 	c #960D0D",
"d 	c #8C0909",
"e 	c #850606",
"f 	c #820505",
"g 	c #800404",
"h 	c #800303",
"i 	c #7F0202",
"j 	c #7E0101",
"k 	c #790000",
"l 	c #6B0000",
"m 	c #F00303",
"n 	c #F20505",
"o 	c #FD1212",
"p 	c #FF3535",
"q 	c #FF6363",
"r 	c #FF7474",
"s 	c #FF5F5F",
"t 	c #F24040",
"u 	c #C82727",
"v 	c #A81818",
"w 	c #920F0F",
"x 	c #840A0A",
"y 	c #7B0707",
"z 	c #760505",
"A 	c #730303",
"B 	c #710303",
"C 	c #700202",
"D 	c #6F0202",
"E 	c #6D0101",
"F 	c #6A0000",
"G 	c #5F0000",
"H 	c #DC0202",
"I 	c #E20404",
"J 	c #F61010",
"K 	c #FF3030",
"L 	c #FF5858",
"M 	c #FD5050",
"N 	c #DC3434",
"O 	c #B52020",
"P 	c #991313",
"Q 	c #860C0C",
"R 	c #7A0808",
"S 	c #720505",
"T 	c #6E0404",
"U 	c #6B0303",
"V 	c #6A0202",
"W 	c #690202",
"X 	c #680101",
"Y 	c #660101",
"Z 	c #620000",
"` 	c #580000",
" .	c #2F0028",
"..	c #CE0101",
"+.	c #D60303",
"@.	c #EA0D0D",
"#.	c #FF4B4B",
"$.	c #FF5454",
"%.	c #F54343",
"&.	c #CC2C2C",
"*.	c #A91B1B",
"=.	c #901010",
"-.	c #7F0A0A",
";.	c #740606",
">.	c #6A0303",
",.	c #680202",
"'.	c #660202",
").	c #650101",
"!.	c #630101",
"~.	c #540000",
"{.	c #2B0021",
"].	c #C70101",
"^.	c #CE0202",
"/.	c #E20A0A",
"(.	c #FA2222",
"_.	c #FF4040",
":.	c #FE4A4A",
"<.	c #EB3B3B",
"[.	c #C32727",
"}.	c #A21818",
"|.	c #8B0E0E",
"1.	c #7C0909",
"2.	c #720606",
"3.	c #6C0404",
"4.	c #680303",
"5.	c #670202",
"6.	c #650202",
"7.	c #640101",
"8.	c #620101",
"9.	c #5E0000",
"0.	c #510000",
"a.	c #280023",
"b.	c #C40000",
"c.	c #CC0202",
"d.	c #DD0909",
"e.	c #F71E1E",
"f.	c #FF3A3A",
"g.	c #FE4343",
"h.	c #E53636",
"i.	c #BE2424",
"j.	c #9F1616",
"k.	c #890D0D",
"l.	c #700505",
"m.	c #6B0404",
"n.	c #610101",
"o.	c #5D0000",
"p.	c #500000",
"q.	c #22003E",
"r.	c #BE0000",
"s.	c #C80101",
"t.	c #DA0808",
"u.	c #F31B1B",
"v.	c #FE3535",
"w.	c #FC3E3E",
"x.	c #E03333",
"y.	c #BB2121",
"z.	c #9C1414",
"A.	c #870C0C",
"B.	c #790707",
"C.	c #6F0505",
"D.	c #600000",
"E.	c #5B0000",
"F.	c #4C0000",
"G.	c #AB0000",
"H.	c #BC0000",
"I.	c #D00505",
"J.	c #E81515",
"K.	c #FA2C2C",
"L.	c #F43636",
"M.	c #D72C2C",
"N.	c #B41E1E",
"O.	c #981212",
"P.	c #840B0B",
"Q.	c #760707",
"R.	c #690303",
"S.	c #640202",
"T.	c #600101",
"U.	c #560000",
"V.	c #430000",
"W.	c #62003F",
"X.	c #A30000",
"Y.	c #BD0202",
"Z.	c #D40D0D",
"`.	c #E42020",
" +	c #E02929",
".+	c #C72323",
"++	c #A91818",
"@+	c #900F0F",
"#+	c #7E0909",
"$+	c #6A0404",
"%+	c #620202",
"&+	c #5F0101",
"*+	c #5A0000",
"=+	c #550000",
"-+	c #490000",
";+	c #2D0000",
">+	c #9A0000",
",+	c #B40505",
"'+	c #C21010",
")+	c #C11818",
"!+	c #AF1717",
"~+	c #981010",
"{+	c #690404",
"]+	c #5E0202",
"^+	c #5A0101",
"/+	c #530000",
"(+	c #4F0000",
"_+	c #4A0000",
":+	c #3F0000",
"<+	c #2B0000",
"[+	c #810000",
"}+	c #930404",
"|+	c #960808",
"1+	c #8D0A0A",
"2+	c #7E0808",
"3+	c #630303",
"4+	c #5A0202",
"5+	c #520101",
"6+	c #450000",
"7+	c #3E0000",
"8+	c #370000",
"9+	c #2E0000",
"0+	c #250000",
"a+	c #1B0008",
"b+	c #490011",
"c+	c #540101",
"d+	c #4B0101",
"e+	c #410000",
"f+	c #380000",
"g+	c #2F0000",
"h+	c #270000",
"i+	c #200000",
"j+	c #1B0000",
"k+	c #170015",
"l+	c #1A0023",
"m+	c #1B000E",
"n+	c #19000E",
"o+	c #150028",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"          . + @ @ # $ % & * = - ; > ,           ",
"      ' ) ! ~ { ] ^ / ( _ : < [ } | 1 2 3       ",
"    4 5 6 ~ 7 8 9 0 a b c d e f g h i j k l     ",
"  m n o p q r s t u v w x y z A B C D E F G     ",
"  H I J K L q M N O P Q R S T U V W X Y Z `  .  ",
"  ..+.@.# #.$.%.&.*.=.-.;.T >.,.'.'.).!.G ~.{.  ",
"  ].^./.(._.:.<.[.}.|.1.2.3.4.5.6.).7.8.9.0.a.  ",
"  b.c.d.e.f.g.h.i.j.k.R l.m.4.'.6.7.!.n.o.p.q.  ",
"  r.s.t.u.v.w.x.y.z.A.B.C.>.5.6.7.7.!.D.E.F.    ",
"  G.H.I.J.K.L.M.N.O.P.Q.T R.'.S.!.8.T.o.U.V.    ",
"  W.X.Y.Z.`. +.+++@+#+2.$+6.%+T.&+o.*+=+-+;+    ",
"      >+,+'+)+!+~+P.;.{+%+]+^+U./+(+_+:+<+      ",
"        [+}+|+1+2+C.3+4+5+F.6+7+8+9+0+a+        ",
"          b+*+^+c+d+e+f+g+h+i+j+k+              ",
"                l+m+n+o+                        ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * csg_icon[] = {
"24 24 194 2",
"  	c None",
". 	c #EA475C",
"+ 	c #FF5B5B",
"@ 	c #FE4D4D",
"# 	c #F13238",
"$ 	c #F23F4C",
"% 	c #FF4949",
"& 	c #FF4343",
"* 	c #FD3434",
"= 	c #E91F2A",
"- 	c #EF5160",
"; 	c #FE6F6F",
"> 	c #F25959",
", 	c #DC4343",
"' 	c #D43B3B",
") 	c #E04141",
"! 	c #F54E4E",
"~ 	c #FE4E4E",
"{ 	c #FA4C4C",
"] 	c #FE6868",
"^ 	c #EF4C4C",
"/ 	c #D63535",
"( 	c #CA2B2B",
"_ 	c #D42D2D",
": 	c #E93434",
"< 	c #F73030",
"[ 	c #D7171A",
"} 	c #F9585E",
"| 	c #F45959",
"1 	c #AC2626",
"2 	c #5C0B0B",
"3 	c #390303",
"4 	c #330202",
"5 	c #440404",
"6 	c #8A1515",
"7 	c #E64949",
"8 	c #FB4E4E",
"9 	c #DA3232",
"0 	c #710B0B",
"a 	c #370202",
"b 	c #320101",
"c 	c #420303",
"d 	c #730A0A",
"e 	c #B61D1D",
"f 	c #E52C2C",
"g 	c #D01818",
"h 	c #EC4053",
"i 	c #F15151",
"j 	c #831717",
"k 	c #270101",
"l 	c #F95A5A",
"m 	c #F15252",
"n 	c #AC1E1E",
"o 	c #F83E3E",
"p 	c #C91E1E",
"q 	c #53030A",
"r 	c #B11818",
"s 	c #E22A2A",
"t 	c #B30E0F",
"u 	c #FD5252",
"v 	c #A22121",
"w 	c #C8285D",
"x 	c #FC5E5E",
"y 	c #991919",
"z 	c #460205",
"A 	c #D62626",
"B 	c #EE3535",
"C 	c #800816",
"D 	c #73050D",
"E 	c #D52424",
"F 	c #D82121",
"G 	c #D6274E",
"H 	c #E74040",
"I 	c #560A0A",
"J 	c #FE4444",
"K 	c #E03B3B",
"L 	c #460404",
"M 	c #A70E1A",
"N 	c #F93939",
"O 	c #AB1515",
"P 	c #C61919",
"Q 	c #EF2E2E",
"R 	c #940809",
"S 	c #FC2F2F",
"T 	c #CD3030",
"U 	c #FF4747",
"V 	c #BA2323",
"W 	c #250025",
"X 	c #FA3636",
"Y 	c #C21F1F",
"Z 	c #C51313",
"` 	c #FC3737",
" .	c #AA0F0F",
"..	c #FA2B2B",
"+.	c #C72C2C",
"@.	c #FE3F3F",
"#.	c #AA1B1B",
"$.	c #FD3838",
"%.	c #C92222",
"&.	c #D61616",
"*.	c #FE4040",
"=.	c #AF1111",
"-.	c #EA2023",
";.	c #D73131",
">.	c #560707",
",.	c #FC3333",
"'.	c #B71E1E",
").	c #2B003F",
"!.	c #FF4242",
"~.	c #BD1D1D",
"{.	c #F12828",
"].	c #FE4848",
"^.	c #9F0D0D",
"/.	c #AB0F43",
"(.	c #ED3636",
"_.	c #941515",
":.	c #E72121",
"<.	c #D52828",
"[.	c #61040A",
"}.	c #CE1D48",
"|.	c #FD4949",
"1.	c #981111",
"2.	c #FE4C4C",
"3.	c #F54040",
"4.	c #71050C",
"5.	c #E82929",
"6.	c #DB3131",
"7.	c #840C0C",
"8.	c #A60B2A",
"9.	c #E72C2C",
"0.	c #AE1515",
"a.	c #83092B",
"b.	c #E93838",
"c.	c #580408",
"d.	c #F1353D",
"e.	c #FF6565",
"f.	c #D12222",
"g.	c #9E0B2F",
"h.	c #F23535",
"i.	c #E83535",
"j.	c #AE1416",
"k.	c #C81717",
"l.	c #E12A2A",
"m.	c #D83232",
"n.	c #FB5353",
"o.	c #9E1313",
"p.	c #EE3845",
"q.	c #F03F3F",
"r.	c #72060E",
"s.	c #AA0F1C",
"t.	c #F13737",
"u.	c #FD4848",
"v.	c #F43B3B",
"w.	c #E4282C",
"x.	c #CA2145",
"y.	c #D2294E",
"z.	c #C63131",
"A.	c #D02525",
"B.	c #EE3434",
"C.	c #C01F1F",
"D.	c #851212",
"E.	c #A71630",
"F.	c #C81B46",
"G.	c #F03038",
"H.	c #FE5A5A",
"I.	c #FF6D6D",
"J.	c #F04040",
"K.	c #8A0A0C",
"L.	c #830826",
"M.	c #D32424",
"N.	c #F54444",
"O.	c #FE5959",
"P.	c #FE6565",
"Q.	c #FB5B5B",
"R.	c #E13636",
"S.	c #AE1414",
"T.	c #DA2323",
"U.	c #F63636",
"V.	c #FE4F4F",
"W.	c #FE5454",
"X.	c #F44545",
"Y.	c #CB2121",
"Z.	c #6A0510",
"`.	c #6B0624",
" +	c #970E0E",
".+	c #A71414",
"++	c #9D1111",
"@+	c #750808",
"#+	c #3C0131",
"$+	c #7B070B",
"%+	c #990D0D",
"&+	c #A10F0F",
"*+	c #8D0B0B",
"=+	c #5E0415",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"            . + + @ #       $ % & * =           ",
"        - ; > , ' ) ! ~ { ] ^ / ( _ : < [       ",
"      } | 1 2 3 4 5 6 7 8 9 0 a b c d e f g     ",
"    h i j k         l m n o p         q r s t   ",
"    u v k         w x y z A B C         D E F   ",
"  G H I           J K L   M N O           P Q R ",
"  S T 3           U V W     X Y           Z `  .",
"  ..+.3           @.#.      $.%.          &.*.=.",
"  -.;.>.          ,.'.).    !.~.          {.].^.",
"  /.(._.          :.<.[.  }.|.1.          2.3.4.",
"    5.6.7.        8.9.0.a.@ b.c.        d.e.f.  ",
"    g.h.i.j.        k.l.m.n.o.        p.; q.r.  ",
"      s.t.u.v.w.x.y.z.A.B.C.D.E.F.G.H.I.J.K.    ",
"        L.M.N.O.P.] Q.R.S.T.U.J V.W.X.Y.Z.      ",
"            `. +.+++@+#+    $+%+&+*+=+          ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * julia_icon[] = {
"24 24 79 1",
" 	c None",
".	c #74408F",
"+	c #5C5B5B",
"@	c #DCAEB8",
"#	c #503E68",
"$	c #200249",
"%	c #4E024A",
"&	c #AA9E9E",
"*	c #CE98DD",
"=	c #C97ABE",
"-	c #B57F80",
";	c #494949",
">	c #45296A",
",	c #AD7D81",
"'	c #CF8DCC",
")	c #CE627E",
"!	c #7007C5",
"~	c #5B06CA",
"{	c #8918C2",
"]	c #9346FA",
"^	c #E3AEB6",
"/	c #9D6E6D",
"(	c #915556",
"_	c #B575ED",
":	c #6306CA",
"<	c #440376",
"[	c #3A0483",
"}	c #37037D",
"|	c #5B06CE",
"1	c #9E3DD1",
"2	c #995DA8",
"3	c #706E6D",
"4	c #737272",
"5	c #867997",
"6	c #DFB4BB",
"7	c #8C1C9F",
"8	c #3E036E",
"9	c #540240",
"0	c #38047F",
"a	c #7806C8",
"b	c #B08EAC",
"c	c #492554",
"d	c #966B7F",
"e	c #CB527B",
"f	c #D05C9B",
"g	c #6D5D5D",
"h	c #7E7E7E",
"i	c #DAB3CC",
"j	c #931F80",
"k	c #790495",
"l	c #AF53D4",
"m	c #B0A0A0",
"n	c #6F3DB3",
"o	c #AC5AB4",
"p	c #C644A9",
"q	c #46059F",
"r	c #BC3DB8",
"s	c #DB6A82",
"t	c #8620BD",
"u	c #4B0A7C",
"v	c #22024E",
"w	c #29025E",
"x	c #760CF6",
"y	c #B6ABC5",
"z	c #382020",
"A	c #573A7E",
"B	c #8E729B",
"C	c #9A2FD9",
"D	c #38047E",
"E	c #5706C4",
"F	c #5005B6",
"G	c #AF75FD",
"H	c #7F23FD",
"I	c #4A05A8",
"J	c #37037E",
"K	c #570E78",
"L	c #3F067D",
"M	c #C33A80",
"N	c #8A7F7F",
"                        ",
"                        ",
"                        ",
"                .       ",
"               +@#      ",
"            $%&*=-;>    ",
"            ,')!~{]^/   ",
"           (_:<[}}|12   ",
"      34  567}}}890ab   ",
"    cdefghij0}}}}}klm   ",
"   nopq}rstu0}vw}}xyz   ",
"  A BCDEFGHIJKLDJJMN    ",
"   nopq}rstu0}vw}}xyz   ",
"    cdefghij0}}}}}klm   ",
"      34  567}}}890ab   ",
"           (_:<[}}|12   ",
"            ,')!~{]^/   ",
"            $%&*=-;>    ",
"               +@#      ",
"                .       ",
"                        ",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * heightfield_icon[] = {
"24 24 155 2",
"  	c None",
". 	c #E73839",
"+ 	c #C0203B",
"@ 	c #B62B31",
"# 	c #7B1251",
"$ 	c #C2306B",
"% 	c #E02D47",
"& 	c #CA3C71",
"* 	c #CC294C",
"= 	c #DB3243",
"- 	c #E2363F",
"; 	c #F74040",
"> 	c #EE3E3E",
", 	c #DF3047",
"' 	c #DB2333",
") 	c #870E0E",
"! 	c #F4333D",
"~ 	c #FE4141",
"{ 	c #FF3131",
"] 	c #FD2E2E",
"^ 	c #E12C2C",
"/ 	c #9A1111",
"( 	c #AE1A1A",
"_ 	c #FD5757",
": 	c #E02323",
"< 	c #AC0F0F",
"[ 	c #F14141",
"} 	c #F33A3A",
"| 	c #FC3E3E",
"1 	c #F93131",
"2 	c #FC3434",
"3 	c #F84747",
"4 	c #B11C1C",
"5 	c #FF3B3B",
"6 	c #FF5555",
"7 	c #FE5353",
"8 	c #D60F0F",
"9 	c #990707",
"0 	c #BA1D1D",
"a 	c #DB3737",
"b 	c #970E0E",
"c 	c #720101",
"d 	c #EB2121",
"e 	c #FB4444",
"f 	c #DB3333",
"g 	c #E33131",
"h 	c #FC3232",
"i 	c #FB3030",
"j 	c #F82A2A",
"k 	c #AC1E47",
"l 	c #C42442",
"m 	c #FE3131",
"n 	c #FE4545",
"o 	c #F53838",
"p 	c #F74747",
"q 	c #CE2626",
"r 	c #C21B1B",
"s 	c #B01818",
"t 	c #770606",
"u 	c #500101",
"v 	c #A62525",
"w 	c #A01010",
"x 	c #E33737",
"y 	c #CC2828",
"z 	c #F03838",
"A 	c #E61515",
"B 	c #FB4646",
"C 	c #FB4545",
"D 	c #E62E2E",
"E 	c #DB2533",
"F 	c #D4254D",
"G 	c #D62B4C",
"H 	c #FE5151",
"I 	c #FE5555",
"J 	c #F04545",
"K 	c #B81616",
"L 	c #9C1B1B",
"M 	c #8F0606",
"N 	c #9F0F0F",
"O 	c #831616",
"P 	c #5A0202",
"Q 	c #820707",
"R 	c #EB3A3A",
"S 	c #F34242",
"T 	c #C71616",
"U 	c #CC1010",
"V 	c #DB3434",
"W 	c #DD2C2C",
"X 	c #FE6464",
"Y 	c #F73D3D",
"Z 	c #F75555",
"` 	c #D7202C",
" .	c #FF6F6F",
"..	c #FF5C5C",
"+.	c #FE5858",
"@.	c #CB2626",
"#.	c #BF1414",
"$.	c #F23131",
"%.	c #E42D2D",
"&.	c #6F0202",
"*.	c #7F0606",
"=.	c #A20C0C",
"-.	c #AC1313",
";.	c #980606",
">.	c #DC2121",
",.	c #DF2A2A",
"'.	c #E93737",
").	c #FE5E5E",
"!.	c #F94242",
"~.	c #CE1C2B",
"{.	c #F14243",
"].	c #FE5050",
"^.	c #FA3535",
"/.	c #B71515",
"(.	c #700000",
"_.	c #6C0000",
":.	c #CE1010",
"<.	c #FF4949",
"[.	c #DD1616",
"}.	c #B90B0B",
"|.	c #EA2828",
"1.	c #DA1F1F",
"2.	c #B90909",
"3.	c #E52222",
"4.	c #F32525",
"5.	c #FD3A3A",
"6.	c #FC4A4A",
"7.	c #EB596B",
"8.	c #F23939",
"9.	c #E12121",
"0.	c #E43D3D",
"a.	c #A01212",
"b.	c #7B0101",
"c.	c #E43B3B",
"d.	c #DD2121",
"e.	c #820203",
"f.	c #DB242B",
"g.	c #FC5253",
"h.	c #AF0B0B",
"i.	c #EA3535",
"j.	c #FE5454",
"k.	c #F53F3F",
"l.	c #E10E0E",
"m.	c #D91010",
"n.	c #820538",
"o.	c #E83E3E",
"p.	c #FF6969",
"q.	c #FD5A5A",
"r.	c #FE4848",
"s.	c #D41D1D",
"t.	c #FE5C5C",
"u.	c #E74050",
"v.	c #C7172E",
"w.	c #FE4A4A",
"x.	c #E93F55",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"                      . +         @ #           ",
"    $   % & *     = - ; > ,     ' )             ",
"  ! ~ { ] ^ / ( _ : < [ } | 1 2 3 4             ",
"    5 6 7 8 9 0 a b c d e f g h i j k l         ",
"    m n o p q r s t u v w x y z A B C D E F     ",
"    G H I J K L M N O P Q R S T U V W X Y Z `   ",
"       ...+.@.s #.$.%.&.*.=.-.;.>.,.'.).!.~.    ",
"      {.].^./.(._.:.<.[.}.|.1.2.3.4.5.6.7.      ",
"        8.9.0.a.b.c.d.    e.      f.g.          ",
"        h.i.j.k.l.m.                            ",
"        n.o.p.q.r.                              ",
"          s.t.+.u.                              ",
"          v.w.x.                                ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * polygon_icon[] = {
"24 24 188 2",
"  	c None",
". 	c #E9475C",
"+ 	c #FB4C50",
"@ 	c #FE4B4B",
"# 	c #FB474A",
"$ 	c #FE4D4D",
"% 	c #FE4A4A",
"& 	c #FE4848",
"* 	c #FE4545",
"= 	c #FF4242",
"- 	c #FE4949",
"; 	c #FE4747",
"> 	c #FE4242",
", 	c #FF3F3F",
"' 	c #FE3D3D",
") 	c #D73F66",
"! 	c #FE4646",
"~ 	c #FE4444",
"{ 	c #FE4141",
"] 	c #FE3F3F",
"^ 	c #FE3C3C",
"/ 	c #FE3A3A",
"( 	c #FB3737",
"_ 	c #D12C54",
": 	c #EB4255",
"< 	c #FF4747",
"[ 	c #FE4040",
"} 	c #FE3E3E",
"| 	c #FD3939",
"1 	c #FA3737",
"2 	c #F73434",
"3 	c #F43131",
"4 	c #DF2B3E",
"5 	c #FA4348",
"6 	c #FF4444",
"7 	c #FF4343",
"8 	c #FE3B3B",
"9 	c #FC3838",
"0 	c #FA3636",
"a 	c #F12F2F",
"b 	c #EE2C2C",
"c 	c #E7292D",
"d 	c #FF4040",
"e 	c #F83535",
"f 	c #F63333",
"g 	c #F33131",
"h 	c #F02E2E",
"i 	c #EB2929",
"j 	c #E82727",
"k 	c #E52525",
"l 	c #FF3C3C",
"m 	c #FE3939",
"n 	c #FD3838",
"o 	c #F93535",
"p 	c #F73333",
"q 	c #F43232",
"r 	c #F23030",
"s 	c #EF2D2D",
"t 	c #ED2B2B",
"u 	c #EA2929",
"v 	c #E22222",
"w 	c #E02020",
"x 	c #FE3838",
"y 	c #FD3737",
"z 	c #FC3737",
"A 	c #FB3636",
"B 	c #FA3535",
"C 	c #F83434",
"D 	c #F53131",
"E 	c #F33030",
"F 	c #EC2A2A",
"G 	c #E92828",
"H 	c #E72626",
"I 	c #E42424",
"J 	c #DF2020",
"K 	c #DD1E1E",
"L 	c #DB1C1C",
"M 	c #FA3434",
"N 	c #F93434",
"O 	c #F83333",
"P 	c #F63232",
"Q 	c #F43030",
"R 	c #F22F2F",
"S 	c #EC2B2B",
"T 	c #E62525",
"U 	c #E42323",
"V 	c #E12121",
"W 	c #DA1C1C",
"X 	c #D81A1A",
"Y 	c #F52F2F",
"Z 	c #F42F2F",
"` 	c #F32F2F",
" .	c #F22E2E",
"..	c #F12D2D",
"+.	c #EF2C2C",
"@.	c #EE2B2B",
"#.	c #E02121",
"$.	c #DE1F1F",
"%.	c #DC1D1D",
"&.	c #DA1B1B",
"*.	c #D51818",
"=.	c #CD254A",
"-.	c #F02B2B",
";.	c #EF2B2B",
">.	c #ED2A2A",
",.	c #EA2828",
"'.	c #E52424",
").	c #E32323",
"!.	c #DF1F1F",
"~.	c #D91B1B",
"{.	c #D71919",
"].	c #B41338",
"^.	c #EC2828",
"/.	c #EB2727",
"(.	c #EA2727",
"_.	c #E92626",
":.	c #E82626",
"<.	c #E72525",
"[.	c #E32222",
"}.	c #D61818",
"|.	c #D41717",
"1.	c #D21616",
"2.	c #E72425",
"3.	c #E72424",
"4.	c #E62424",
"5.	c #E62323",
"6.	c #E52323",
"7.	c #E42222",
"8.	c #D51717",
"9.	c #D31616",
"0.	c #D11515",
"a.	c #CF1414",
"b.	c #B81A4B",
"c.	c #E32020",
"d.	c #E22020",
"e.	c #E12020",
"f.	c #E11F1F",
"g.	c #E01F1F",
"h.	c #DF1E1E",
"i.	c #DE1E1E",
"j.	c #D41616",
"k.	c #D21515",
"l.	c #D01414",
"m.	c #CF1313",
"n.	c #A60E3F",
"o.	c #DF1D1D",
"p.	c #DE1D1D",
"q.	c #DD1C1C",
"r.	c #DC1C1C",
"s.	c #DB1B1B",
"t.	c #D91A1A",
"u.	c #D81919",
"v.	c #D11414",
"w.	c #CE1212",
"x.	c #CC1111",
"y.	c #D91A1C",
"z.	c #DB1A1A",
"A.	c #DA1A1A",
"B.	c #D91919",
"C.	c #D71818",
"D.	c #CD1111",
"E.	c #CB1010",
"F.	c #C80F12",
"G.	c #D71717",
"H.	c #D61717",
"I.	c #D51616",
"J.	c #D31515",
"K.	c #D01313",
"L.	c #CA0F0F",
"M.	c #C90F0F",
"N.	c #D41414",
"O.	c #D31414",
"P.	c #D21414",
"Q.	c #D11313",
"R.	c #CF1212",
"S.	c #CC1010",
"T.	c #C90E0E",
"U.	c #C80E0E",
"V.	c #C70D0D",
"W.	c #CC1218",
"X.	c #D01212",
"Y.	c #CF1111",
"Z.	c #CE1111",
"`.	c #CB0F0F",
" +	c #C80D0D",
".+	c #C60D0D",
"++	c #C50C0C",
"@+	c #C00B11",
"                                                ",
"                        .                       ",
"                      + @ #                     ",
"                    $ % & * =                   ",
"                  @ - ; * > , '                 ",
"              ) - & ! ~ { ] ^ / ( _             ",
"            : < * ~ > [ } ^ | 1 2 3 4           ",
"          5 6 7 > [ } ' 8 9 0 2 3 a b c         ",
"        [ d , , ' ^ 8 | ( e f g h b i j k       ",
"      ^ l l 8 / m n ( o p q r s t u j k v w     ",
"    x x n y z A B C f D E h b F G H I v J K L   ",
"    M N N O p P D Q R h b S u j T U V J K W X   ",
"    Y Y Z ` `  ...+.@.F u j H I v #.$.%.&.X *.  ",
"    =.-.-.;.@.>.F i ,.j T '.).V !.K L ~.{.*.].  ",
"      ^././.(._.:.<.'.U [.V J K %.&.X }.|.1.    ",
"      2.3.4.5.6.7.[.V w !.K %.&.X {.8.9.0.a.    ",
"      b.c.d.e.f.g.h.i.%.L &.X {.*.j.k.l.m.n.    ",
"        o.p.p.q.r.s.&.t.u.}.8.j.k.v.m.w.x.      ",
"        y.z.A.B.u.C.C.8.j.9.k.v.m.w.D.E.F.      ",
"          G.H.H.I.j.J.k.v.K.m.w.D.E.L.M.        ",
"          N.O.O.P.Q.K.R.w.D.S.E.L.T.U.V.        ",
"          W.X.R.Y.Z.D.S.E.`.L.T. +.+++@+        ",
"                                                ",
"                                                "};

/* XPM */
static char * triangle_icon[] = {
"24 24 160 2",
"  	c None",
". 	c #F14B58",
"+ 	c #C23B78",
"@ 	c #FF4C4C",
"# 	c #C23874",
"$ 	c #FF4B4B",
"% 	c #FF4949",
"& 	c #FF4646",
"* 	c #F14653",
"= 	c #FE4848",
"- 	c #FE4545",
"; 	c #FE4343",
"> 	c #F13D4A",
", 	c #FE4646",
"' 	c #FE4444",
") 	c #FE4242",
"! 	c #FE3F3F",
"~ 	c #FE3D3D",
"{ 	c #FF4444",
"] 	c #FF4343",
"^ 	c #FF4040",
"/ 	c #FF3E3E",
"( 	c #FE3C3C",
"_ 	c #FD3939",
": 	c #FA3737",
"< 	c #ED3D4E",
"[ 	c #FE3B3B",
"} 	c #FC3838",
"| 	c #F93636",
"1 	c #F63434",
"2 	c #E22E3F",
"3 	c #FE3A3A",
"4 	c #FC3939",
"5 	c #F73535",
"6 	c #F53333",
"7 	c #F23030",
"8 	c #EF2E2E",
"9 	c #FA3636",
"0 	c #F83535",
"a 	c #F33131",
"b 	c #F12F2F",
"c 	c #EE2D2D",
"d 	c #EB2B2B",
"e 	c #E82929",
"f 	c #E33149",
"g 	c #F73434",
"h 	c #F53232",
"i 	c #EC2C2C",
"j 	c #EA2A2A",
"k 	c #E72828",
"l 	c #E52626",
"m 	c #CC2039",
"n 	c #F63232",
"o 	c #F53131",
"p 	c #F02E2E",
"q 	c #ED2C2C",
"r 	c #E82828",
"s 	c #E62727",
"t 	c #E42525",
"u 	c #E12323",
"v 	c #DF2121",
"w 	c #F22E2E",
"x 	c #F12E2E",
"y 	c #F02D2D",
"z 	c #EF2C2C",
"A 	c #EC2B2B",
"B 	c #EA2929",
"C 	c #E22323",
"D 	c #E02222",
"E 	c #DE2020",
"F 	c #DB1E1E",
"G 	c #D91D1D",
"H 	c #CF2545",
"I 	c #ED2A2A",
"J 	c #EC2A2A",
"K 	c #EB2929",
"L 	c #E92828",
"M 	c #E72727",
"N 	c #E62626",
"O 	c #DC1F1F",
"P 	c #DA1D1D",
"Q 	c #D81C1C",
"R 	c #D61A1A",
"S 	c #B91536",
"T 	c #E92626",
"U 	c #E82626",
"V 	c #E72626",
"W 	c #E62525",
"X 	c #E52525",
"Y 	c #E42424",
"Z 	c #E32323",
"` 	c #E12222",
" .	c #E02121",
"..	c #D91C1C",
"+.	c #D71B1B",
"@.	c #D51919",
"#.	c #D31818",
"$.	c #D11616",
"%.	c #E32225",
"&.	c #E42323",
"*.	c #E32222",
"=.	c #E22222",
"-.	c #E12121",
";.	c #DF2020",
">.	c #DD1F1F",
",.	c #DC1E1E",
"'.	c #D21717",
").	c #D01616",
"!.	c #CE1414",
"~.	c #CA1315",
"{.	c #BE1A42",
"].	c #E11F1F",
"^.	c #E01F1F",
"/.	c #DF1F1F",
"(.	c #DE1E1E",
"_.	c #DD1E1E",
":.	c #DC1D1D",
"<.	c #DB1D1D",
"[.	c #D81B1B",
"}.	c #D71A1A",
"|.	c #D41818",
"1.	c #CF1515",
"2.	c #CD1414",
"3.	c #CB1212",
"4.	c #CA1111",
"5.	c #A90E35",
"6.	c #DD1C1C",
"7.	c #DC1C1C",
"8.	c #DB1C1C",
"9.	c #DA1B1B",
"0.	c #D91B1B",
"a.	c #D81A1A",
"b.	c #D61919",
"c.	c #D31717",
"d.	c #CC1313",
"e.	c #CA1212",
"f.	c #C91111",
"g.	c #C71010",
"h.	c #C60F0F",
"i.	c #B41541",
"j.	c #B9153C",
"k.	c #B8153C",
"l.	c #B7153B",
"m.	c #B6153B",
"n.	c #B5153B",
"o.	c #B5143A",
"p.	c #B4143A",
"q.	c #B31339",
"r.	c #B21339",
"s.	c #B11238",
"t.	c #B01137",
"u.	c #AF1137",
"v.	c #AD1036",
"w.	c #AC0F35",
"x.	c #AB0E34",
"y.	c #AA0E34",
"z.	c #A90D33",
"A.	c #A70C32",
"B.	c #A60B31",
"C.	c #A10A36",
"                                                ",
"                                                ",
"                                                ",
"                        .                       ",
"                      + @ #                     ",
"                      $ % &                     ",
"                    * = - ; >                   ",
"                    , ' ) ! ~                   ",
"                  { ] ^ / ( _ :                 ",
"                < ^ / ~ [ } | 1 2               ",
"                ~ ( 3 4 : 5 6 7 8               ",
"              3 _ } 9 0 6 a b c d e             ",
"            f 9 0 g h a b 8 i j k l m           ",
"            n o a 7 p c q j r s t u v           ",
"          w x y z q A B r s t C D E F G         ",
"        H I J K B L M N t C D E O P Q R S       ",
"        T U V W X Y Z `  .E O P ..+.@.#.$.      ",
"      %.&.&.*.=.-. .;.>.,.P ..+.@.#.'.).!.~.    ",
"    {.].^././.(._.:.<...[.}.@.|.'.).1.2.3.4.5.  ",
"    6.7.7.8.8.9.0.a.}.b.|.c.'.).1.2.d.e.f.g.h.  ",
"  i.j.k.k.l.l.m.n.o.p.q.r.s.t.u.v.w.x.y.z.A.B.C.",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * prism_icon[] = {
"24 24 145 2",
"  	c None",
". 	c #70000D",
"+ 	c #760000",
"@ 	c #62002B",
"# 	c #720014",
"$ 	c #7C0000",
"% 	c #7B0000",
"& 	c #7A0001",
"* 	c #620032",
"= 	c #770011",
"- 	c #800000",
"; 	c #7F0000",
"> 	c #7E0000",
", 	c #60003D",
"' 	c #76001A",
") 	c #830000",
"! 	c #820000",
"~ 	c #810000",
"{ 	c #7E0003",
"] 	c #7A0016",
"^ 	c #860000",
"/ 	c #850000",
"( 	c #840000",
"_ 	c #7E0007",
": 	c #77001F",
"< 	c #880000",
"[ 	c #870000",
"} 	c #890000",
"| 	c #900303",
"1 	c #980606",
"2 	c #A00808",
"3 	c #A80B0B",
"4 	c #B10D0D",
"5 	c #B70F0F",
"6 	c #BE1010",
"7 	c #C61111",
"8 	c #CC1212",
"9 	c #D11212",
"0 	c #D61212",
"a 	c #DB1212",
"b 	c #D91011",
"c 	c #A0132F",
"d 	c #B91717",
"e 	c #C21B1B",
"f 	c #CE2020",
"g 	c #D62222",
"h 	c #E02525",
"i 	c #E92727",
"j 	c #F42A2A",
"k 	c #FB2B2B",
"l 	c #FA2929",
"m 	c #F72727",
"n 	c #F42424",
"o 	c #F12222",
"p 	c #EE1F1F",
"q 	c #EB1D1D",
"r 	c #E81B1B",
"s 	c #E51919",
"t 	c #E21616",
"u 	c #DF1414",
"v 	c #DD1313",
"w 	c #DA1111",
"x 	c #B40D37",
"y 	c #F9373C",
"z 	c #FE3737",
"A 	c #FE3535",
"B 	c #FE3333",
"C 	c #FE3131",
"D 	c #FE2F2F",
"E 	c #FE2D2D",
"F 	c #FC2B2B",
"G 	c #F72626",
"H 	c #E21717",
"I 	c #E01515",
"J 	c #D80F0F",
"K 	c #C72961",
"L 	c #FE3232",
"M 	c #FE3030",
"N 	c #FE2E2E",
"O 	c #FE2C2C",
"P 	c #FC2A2A",
"Q 	c #F92828",
"R 	c #F62626",
"S 	c #F32424",
"T 	c #F12121",
"U 	c #E31717",
"V 	c #DB1111",
"W 	c #D81010",
"X 	c #D60E0E",
"Y 	c #FF3030",
"Z 	c #FF2E2E",
"` 	c #FD2B2B",
" .	c #F82727",
"..	c #F52525",
"+.	c #F32323",
"@.	c #F02121",
"#.	c #ED1F1F",
"$.	c #D91010",
"%.	c #D40D0D",
"&.	c #FD2A2A",
"*.	c #FB2929",
"=.	c #F92727",
"-.	c #F22222",
";.	c #EF2020",
">.	c #ED1E1E",
",.	c #EA1C1C",
"'.	c #E81A1A",
").	c #E51818",
"!.	c #D20C0C",
"~.	c #F9282B",
"{.	c #F52424",
"].	c #F32222",
"^.	c #EC1D1D",
"/.	c #E71A1A",
"(.	c #B6092A",
"_.	c #CA1E4D",
":.	c #F62424",
"<.	c #F42222",
"[.	c #F22121",
"}.	c #EF1F1F",
"|.	c #EB1C1C",
"1.	c #E91B1B",
"2.	c #E61919",
"3.	c #E41717",
"4.	c #D00A0A",
"5.	c #F22020",
"6.	c #F01F1F",
"7.	c #EE1E1E",
"8.	c #EC1C1C",
"9.	c #EA1B1B",
"0.	c #E81919",
"a.	c #E31616",
"b.	c #E11515",
"c.	c #DF1313",
"d.	c #DD1212",
"e.	c #D20E12",
"f.	c #B70B2D",
"g.	c #EE1D1D",
"h.	c #E61818",
"i.	c #E21515",
"j.	c #D9141B",
"k.	c #BA103A",
"l.	c #EB1A1A",
"m.	c #DF1823",
"n.	c #BA1445",
"                                                ",
"                                                ",
"                                                ",
"                                                ",
"              . + @                             ",
"            # $ $ % % & *                       ",
"          = - - - ; ; ; ; > > ,                 ",
"        ' ) ) ) ) ! ! ! ! ~ ~ ~ ~ {             ",
"      ] ^ ^ / / / / / ( ( ( ( ) ) ) ) ! _       ",
"    : < < < [ [ [ } | 1 2 3 4 5 6 7 8 9 0 a b   ",
"  c d e f g h i j k l m n o p q r s t u v w x   ",
"  y z A B C D E F l G n o p q r s H I v w J     ",
"  K B L M N O P Q R S T p q r s U I v V W X     ",
"    Y Z O ` l  ...+.@.#.q r s U I v V $.X %.    ",
"    O &.*.=.G n -.;.>.,.'.).H I v V $.X %.!.    ",
"    ~.=.G {.].T p ^.,./.).t I v V $.X %.!.(.    ",
"    _.:.<.[.}.>.|.1.2.3.t u v V W X %.!.4.      ",
"      5.6.7.8.9.0.).a.b.c.d.w J e.f.            ",
"      g.8.9.'.h.3.i.j.k.                        ",
"      l.m.n.                                    ",
"                                                ",
"                                                ",
"                                                ",
"                                                "};

/* XPM */
static char * lightsource_icon[] = {
"24 24 6 1",
" 	c None",
".	c #000000",
"+	c #FFFFFF",
"@	c #BDBDBD",
"#	c #848484",
"$	c #FFFF00",
"                        ",
"                        ",
"                        ",
"                        ",
"                        ",
"      ...               ",
"     .+@+.              ",
"    .+@#@+.             ",
"    ..###@+.            ",
"    ...###@@.....       ",
"     ...#@..@#@.        ",
"      .....$+@.         ",
"       ...+$+. $ $ $ $  ",
"        .@$+. + + + +   ",
"       .@#@. $ $ $ $    ",
"      ..... + + + +     ",
"         .   $ $ $ $    ",
"         .  + + + +     ",
"         .   $ $ $      ",
"       . .  + + + +     ",
"        ..   $ $        ",
"       .. ..+           ",
"     ..     ..          ",
"                        "};

/* XPM */
static char * mesh_icon[] = {
"23 23 2 1",
" 	c None",
".	c #000000",
"                       ",
"         ..............",
"       ...          ...",
"     ..  .        ..  .",
"    .    .      ..    .",
"   .    .     ..      .",
"  .     .   ..        .",
"..      . ..          .",
".......................",
".       ..            .",
" .      . ..          .",
"  .     .   ..        .",
"   .   .      ...     .",
"    .  .         ...  .",
"     . .            ...",
"      .................",
"       .            ...",
"       .          ..  .",
"       .        ..    .",
"       .      ..      .",
"       .    ..        .",
"       .  ..          .",
"       ...            ."};

/* XPM */
static char * quadric_icon[] = {
"24 24 67 1",
" 	c None",
".	c #000000",
"+	c #760000",
"@	c #8D0000",
"#	c #900000",
"$	c #740000",
"%	c #770000",
"&	c #9F0000",
"*	c #9B0000",
"=	c #9C0000",
"-	c #750000",
";	c #5F0000",
">	c #960000",
",	c #A70000",
"'	c #A30000",
")	c #950000",
"!	c #5D0000",
"~	c #880000",
"{	c #9E0000",
"]	c #AA0000",
"^	c #A20000",
"/	c #A10000",
"(	c #720000",
"_	c #940000",
":	c #AC0000",
"<	c #930000",
"[	c #710000",
"}	c #4A0000",
"|	c #870000",
"1	c #9A0000",
"2	c #A60000",
"3	c #AD0000",
"4	c #A00000",
"5	c #490000",
"6	c #780000",
"7	c #AE0000",
"8	c #A40000",
"9	c #5A0000",
"0	c #860000",
"a	c #A80000",
"b	c #590000",
"c	c #510000",
"d	c #420000",
"e	c #430000",
"f	c #7D0000",
"g	c #990000",
"h	c #A90000",
"i	c #7C0000",
"j	c #440000",
"k	c #520000",
"l	c #670000",
"m	c #6B0000",
"n	c #6D0000",
"o	c #690000",
"p	c #790000",
"q	c #920000",
"r	c #A50000",
"s	c #6F0000",
"t	c #6C0000",
"u	c #7A0000",
"v	c #8E0000",
"w	c #8A0000",
"x	c #9D0000",
"y	c #8B0000",
"z	c #7B0000",
"A	c #910000",
"B	c #980000",
"                        ",
"                        ",
"                        ",
"                        ",
"                  ....  ",
"                 ..  .. ",
"                     .. ",
"                    ..  ",
"                   ..   ",
"          +@#$    ..    ",
"         %&*=&-  ...... ",
"        ;>,'&,)!        ",
"        ~{]^/]{~        ",
"       (_':&/:'<[       ",
"      }|1234/321|5      ",
"      6#{,7*87,{#%      ",
"     90)4a7,47a4)0b     ",
"cd  ef@g^h7'87h^g@ie  jk",
"lmnop|q=8]78r7]'=q|pmstl",
"uv1w0@){r]78a7]rx)@0y*vz",
"y^rq@AB&r]7,'7]r&BA@qr^y",
"                        ",
"                        ",
"                        "};

/* XPM */
static char * cubic_icon[] = {
"24 24 67 1",
" 	c None",
".	c #000000",
"+	c #760000",
"@	c #8D0000",
"#	c #900000",
"$	c #740000",
"%	c #770000",
"&	c #9F0000",
"*	c #9B0000",
"=	c #9C0000",
"-	c #750000",
";	c #5F0000",
">	c #960000",
",	c #A70000",
"'	c #A30000",
")	c #950000",
"!	c #5D0000",
"~	c #880000",
"{	c #9E0000",
"]	c #AA0000",
"^	c #A20000",
"/	c #A10000",
"(	c #720000",
"_	c #940000",
":	c #AC0000",
"<	c #930000",
"[	c #710000",
"}	c #4A0000",
"|	c #870000",
"1	c #9A0000",
"2	c #A60000",
"3	c #AD0000",
"4	c #A00000",
"5	c #490000",
"6	c #780000",
"7	c #AE0000",
"8	c #A40000",
"9	c #5A0000",
"0	c #860000",
"a	c #A80000",
"b	c #590000",
"c	c #510000",
"d	c #420000",
"e	c #430000",
"f	c #7D0000",
"g	c #990000",
"h	c #A90000",
"i	c #7C0000",
"j	c #440000",
"k	c #520000",
"l	c #670000",
"m	c #6B0000",
"n	c #6D0000",
"o	c #690000",
"p	c #790000",
"q	c #920000",
"r	c #A50000",
"s	c #6F0000",
"t	c #6C0000",
"u	c #7A0000",
"v	c #8E0000",
"w	c #8A0000",
"x	c #9D0000",
"y	c #8B0000",
"z	c #7B0000",
"A	c #910000",
"B	c #980000",
"                        ",
"                        ",
"                        ",
"                        ",
"                  ....  ",
"                 ..  .. ",
"                     .. ",
"                   ...  ",
"                     .. ",
"          +@#$   ..  .. ",
"         %&*=&-   ....  ",
"        ;>,'&,)!        ",
"        ~{]^/]{~        ",
"       (_':&/:'<[       ",
"      }|1234/321|5      ",
"      6#{,7*87,{#%      ",
"     90)4a7,47a4)0b     ",
"cd  ef@g^h7'87h^g@ie  jk",
"lmnop|q=8]78r7]'=q|pmstl",
"uv1w0@){r]78a7]rx)@0y*vz",
"y^rq@AB&r]7,'7]r&BA@qr^y",
"                        ",
"                        ",
"                        "};


/* XPM */
static char * quartic_icon[] = {
"24 24 67 1",
" 	c None",
".	c #000000",
"+	c #760000",
"@	c #8D0000",
"#	c #900000",
"$	c #740000",
"%	c #770000",
"&	c #9F0000",
"*	c #9B0000",
"=	c #9C0000",
"-	c #750000",
";	c #5F0000",
">	c #960000",
",	c #A70000",
"'	c #A30000",
")	c #950000",
"!	c #5D0000",
"~	c #880000",
"{	c #9E0000",
"]	c #AA0000",
"^	c #A20000",
"/	c #A10000",
"(	c #720000",
"_	c #940000",
":	c #AC0000",
"<	c #930000",
"[	c #710000",
"}	c #4A0000",
"|	c #870000",
"1	c #9A0000",
"2	c #A60000",
"3	c #AD0000",
"4	c #A00000",
"5	c #490000",
"6	c #780000",
"7	c #AE0000",
"8	c #A40000",
"9	c #5A0000",
"0	c #860000",
"a	c #A80000",
"b	c #590000",
"c	c #510000",
"d	c #420000",
"e	c #430000",
"f	c #7D0000",
"g	c #990000",
"h	c #A90000",
"i	c #7C0000",
"j	c #440000",
"k	c #520000",
"l	c #670000",
"m	c #6B0000",
"n	c #6D0000",
"o	c #690000",
"p	c #790000",
"q	c #920000",
"r	c #A50000",
"s	c #6F0000",
"t	c #6C0000",
"u	c #7A0000",
"v	c #8E0000",
"w	c #8A0000",
"x	c #9D0000",
"y	c #8B0000",
"z	c #7B0000",
"A	c #910000",
"B	c #980000",
"                        ",
"                        ",
"                        ",
"                        ",
"                    ..  ",
"                   ...  ",
"                  ....  ",
"                 .. ..  ",
"                 ...... ",
"          +@#$      ..  ",
"         %&*=&-    .... ",
"        ;>,'&,)!        ",
"        ~{]^/]{~        ",
"       (_':&/:'<[       ",
"      }|1234/321|5      ",
"      6#{,7*87,{#%      ",
"     90)4a7,47a4)0b     ",
"cd  ef@g^h7'87h^g@ie  jk",
"lmnop|q=8]78r7]'=q|pmstl",
"uv1w0@){r]78a7]rx)@0y*vz",
"y^rq@AB&r]7,'7]r&BA@qr^y",
"                        ",
"                        ",
"                        "};


/* XPM */
static char * poly_icon[] = {
"24 24 67 1",
" 	c None",
".	c #000000",
"+	c #760000",
"@	c #8D0000",
"#	c #900000",
"$	c #740000",
"%	c #770000",
"&	c #9F0000",
"*	c #9B0000",
"=	c #9C0000",
"-	c #750000",
";	c #5F0000",
">	c #960000",
",	c #A70000",
"'	c #A30000",
")	c #950000",
"!	c #5D0000",
"~	c #880000",
"{	c #9E0000",
"]	c #AA0000",
"^	c #A20000",
"/	c #A10000",
"(	c #720000",
"_	c #940000",
":	c #AC0000",
"<	c #930000",
"[	c #710000",
"}	c #4A0000",
"|	c #870000",
"1	c #9A0000",
"2	c #A60000",
"3	c #AD0000",
"4	c #A00000",
"5	c #490000",
"6	c #780000",
"7	c #AE0000",
"8	c #A40000",
"9	c #5A0000",
"0	c #860000",
"a	c #A80000",
"b	c #590000",
"c	c #510000",
"d	c #420000",
"e	c #430000",
"f	c #7D0000",
"g	c #990000",
"h	c #A90000",
"i	c #7C0000",
"j	c #440000",
"k	c #520000",
"l	c #670000",
"m	c #6B0000",
"n	c #6D0000",
"o	c #690000",
"p	c #790000",
"q	c #920000",
"r	c #A50000",
"s	c #6F0000",
"t	c #6C0000",
"u	c #7A0000",
"v	c #8E0000",
"w	c #8A0000",
"x	c #9D0000",
"y	c #8B0000",
"z	c #7B0000",
"A	c #910000",
"B	c #980000",
"                        ",
"                        ",
"                        ",
"                        ",
"                 ....   ",
"                 .  .   ",
"                 .  .   ",
"                 .  .   ",
"                        ",
"          +@#$          ",
"         %&*=&-         ",
"        ;>,'&,)!        ",
"        ~{]^/]{~        ",
"       (_':&/:'<[       ",
"      }|1234/321|5      ",
"      6#{,7*87,{#%      ",
"     90)4a7,47a4)0b     ",
"cd  ef@g^h7'87h^g@ie  jk",
"lmnop|q=8]78r7]'=q|pmstl",
"uv1w0@){r]78a7]rx)@0y*vz",
"y^rq@AB&r]7,'7]r&BA@qr^y",
"                        ",
"                        ",
"                        "};
